tigase.jaxmpp.j2se.connectors.socket

## Class OutputStreamFlushWrap

- java.lang.Object
- - java.io.OutputStream
  - - tigase.jaxmpp.j2se.connectors.socket.OutputStreamFlushWrap

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class OutputStreamFlushWrap
      extends OutputStream

  OutputStreamFlushWrap class is wrapper class used to wrap DeflaterOutputStream to force flushing every time data is written to output stream
  Author:
    andrzej

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputStreamFlushWrap(OutputStream outputStream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `void` | `write(byte[] b)`
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputStreamFlushWrap

          public OutputStreamFlushWrap(OutputStream outputStream)

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `OutputStream`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b,
                            int off,
                            int len)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(int b)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

Copyright © 2006–2020 Tigase. All rights reserved.